Criar um modelo da biblioteca da Meta
curl --request POST \
--url https://cerberus.eazybe.com/prod/api/v2/meta/wabas/{wabaId}/templates/library \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"libraryTemplateName": "order_confirmation_1",
"template": {
"name": "my_order_confirmation",
"language": "en",
"category": "UTILITY"
}
}
'{
"id": "778899001126",
"status": "APPROVED",
"category": "UTILITY"
}Modelos
Criar um modelo da biblioteca da Meta
Criar um modelo da biblioteca da Meta. Consulte os parâmetros, o exemplo e as respostas disponíveis para esta operação.
POST
/
meta
/
wabas
/
{wabaId}
/
templates
/
library
Criar um modelo da biblioteca da Meta
curl --request POST \
--url https://cerberus.eazybe.com/prod/api/v2/meta/wabas/{wabaId}/templates/library \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"libraryTemplateName": "order_confirmation_1",
"template": {
"name": "my_order_confirmation",
"language": "en",
"category": "UTILITY"
}
}
'{
"id": "778899001126",
"status": "APPROVED",
"category": "UTILITY"
}Autorizações
Token bearer da Eazybe. O token identifica a organização e deve ser mantido no servidor.
Parâmetros de caminho
ID da conta do WhatsApp Business retornado por GET /meta/phone-numbers.
Corpo
application/json
Resposta
200 - application/json
Library template created (usually pre-approved)
Failure responses
| Status | Meaning | Action |
|---|---|---|
401 | Missing, invalid, or expired bearer token | Re-authenticate |
404 | wabaId not linked to your organization | Verify the id |
400 | libraryTemplateName does not exist, or name already used | Check Meta's template library catalogue |
502 | Graph unreachable or timed out | Retry with backoff |
Esta página foi útil?